<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <!--
  This transform accepts two parameters used to specify the column you
  want sorted and the direction
  -->
  <xsl:param name="sortColumn"/>
  <xsl:param name="sortDir"/>
  <xsl:template name="connLOG" match="connectionLOG">
  <table ID="logTable" Cellspacing="0" cellpadding="5" Border="1" bordercolor="#c0c0c0" width="630">
      <tr bgcolor="#efe9b8">
          <th>
              <font face="Arial" size="2">Country Code</font>
          </th>
          <th>
              <font face="Arial" size="2">Country Name</font>
          </th>
          <th>
              <font face="Arial" size="2">Allowed Count</font>
          </th>
          <th>
              <font face="Arial" size="2">Banned Count</font>
          </th>
      </tr>
      <xsl:for-each select="row">
        <xsl:sort select="@*[name()=$sortColumn]" data-type="number" order="{$sortDir}"/> 
        <tr>
          <td align="center">
            <font face="Arial" size="2"><xsl:value-of select="@cs"/>
            </font>
          </td>
          <td>
            <font face="Arial" size="2"><xsl:value-of select="@cl"/>
            </font>
          </td>
          <td align="center">
            <font face="Arial" size="2"><xsl:value-of select="@ac"/>
            </font>
          </td>
          <td align="center">
            <font face="Arial" size="2"><xsl:value-of select="@dc"/>
            </font>
          </td>
        </tr>
      </xsl:for-each>
      <tr>
        <td></td>
        <td align="right">
          <font face="Arial" size="2"><b>T O T A L S</b>
          </font>
        </td>
        <td align="center">
          <font face="Arial" size="2"><b><xsl:value-of select="sum(//@ac)"/></b>
          </font>
        </td>
        <td align="center">
          <font face="Arial" size="2"><b><xsl:value-of select="sum(//@dc)"/></b>
          </font>
        </td>
      </tr>
  </table>
  </xsl:template>
</xsl:stylesheet> 
